package com.ecnu.platform.pojo.inputs;


import com.three.common.annos.Doc4Class;
import com.three.common.annos.Doc4Field;
import lombok.Data;

import java.util.Date;

@Data
@Doc4Class(desc = "船期信息")
public class SmartScheduleInfo {

    @Doc4Field(desc = "靠泊ID", nullable = false)
    private Long berthId;//靠泊ID
    private String vesselCode;//船舶CD
    private String vesselType;//船舶类型，FCS大船，BAR驳船
    private Date planBeginWorkTime;//计划开工时间
    private Date planEndWorkTime;//计划完工时间
    private Long planStartPst;//船头停泊位置
    private Long planEndPst;//船尾停泊位置
    private String planBerthDirect;//靠泊方向,R:反向，L:正向
    private String maintainCwp;//保留当前CWP不做更改，用于刚开工的时候部分桥吊作业和部分桥吊辅助作业，用于全船 ***
    private Boolean sendWorkInstruction;//是否发送该船指令标记
    private String doCwpFlag; //执行多船CWP算法，标记是否执行详细CWP算法，Y表示执行单船算法
    private String startWorkFlag; //船舶是否开工作业标记，Y表示已开工
}
