package com.ecnu.platform.service

import com.three.common.exception.ParamException
import com.three.common.utils.StringUtil
import com.three.common.vo.SelectOption
import com.three.data_api.dm.annos.BizApiMethod
import com.three.data_api.dm.annos.BizRequestPm
import com.three.data_api.dm.annos.Doc4MethodRes
import com.three.data_api.dm.constants.ThreeConstant
import com.three.data_api.dm.entity.AuqResult
import com.three.data_api.dm.entity.three.ThreeAuq
import com.three.data_api.service.impl.BaseEntityServiceImpl

class AlgVersionVoService extends BaseEntityServiceImpl {

    public static final String EN_AlgVersion = "AlgVersion"
    public static final String EN_AlgVersionVo = "AlgVersionVo"

    @Override
    String getEntityId(Map<String, Object> map) {
        return EN_AlgVersionVo
    }

    @Override
    AuqResult query(Map<String, Object> map) throws Exception {
        return super.query(map)
    }

    @BizApiMethod(matchedApis = ThreeConstant.BIZ_API_NAME, desc = "查询算法版本")
    @Doc4MethodRes(key = "result", desc = "算法版本", refClassName = EN_AlgVersionVo)
    AuqResult queryByAlg(@BizRequestPm(key = "algGkey", nullable = false, desc = "算法主键") String algGkey) throws Exception {
        if (StringUtil.isBlank(algGkey)) {
            throw new ParamException("算法主键(algGkey)不可以为空")
        }
        Map<String, Object> map = new HashMap<>()
        Map<String, Object> simpleFilter = new HashMap<>();
        simpleFilter.put("algGkey", algGkey)
        map.put("simpleFilter", simpleFilter)
        return daoService.findAuq(EN_AlgVersionVo, map)
    }

    @Override
    List<SelectOption> getSelectOptions(Map<String, Object> map) throws Exception {
        return super.getSelectOptions(map)
    }

    @Override
    List<ThreeAuq> getAllAuqs(Map<String, Object> map) throws Exception {
        return super.getAllAuqs(map)
    }

    @Override
    void create(Map<String, Object> map) throws Exception {
        super.create(map)
    }

    @Override
    void update(Map<String, Object> map) throws Exception {
        super.update(map)
    }

    @Override
    void delete(Map<String, Object> map) throws Exception {
        super.delete(map)
    }

    @Override
    void recover(Map<String, Object> map) throws Exception {
        super.recover(map)
    }
}
